module MyRepresentatives
  module Abbreviatable

    def state_abbreviation(str)
      if Static::STATES.include?(str.upcase)
        str.upcase
      elsif str.upcase.strip == "AUSTRALIAN CAPITAL TERRITORY"
        "ACT"
      elsif str.upcase.strip == "NEW SOUTH WALES"
        "NSW"
      elsif str.upcase.strip == "NORTHERN TERRITORY"
        "NT"
      elsif str.upcase.strip == "QUEENSLAND"
        "QLD"
      elsif str.upcase.strip == "SOUTH AUSTRALIA"
        "SA"
      elsif str.upcase.strip == "TASMANIA"
        "TAS"
      elsif str.upcase.strip == "VICTORIA"
        "VIC"
      elsif str.upcase.strip == "WESTERN AUSTRALIA"
        "WA"
      else
        "UNKNOWN" # Will likely trigger an error elsewhere in the app, but that's okay
      end
    end

  end # Abbreviatable
end # MyRepresentatives
