module MyRepresentatives
  module Guessable

    def guess_first(str)
      name = str
      name.gsub!(/\((.+?)\)\s/,"")

      if name

        name = if name.start_with?("Hon ")
          name.gsub("Hon ", "")
        elsif name.start_with?("The Hon. Dr ")
          name.gsub("The Hon. Dr ", "")
        elsif name.start_with?("Reverend the Hon. ")
          name.gsub("Reverend the Hon. ", "")
        elsif name.start_with?("Hon. ")
          name.gsub("Hon. ", "")
        elsif name.start_with?("Senator the Hon ")
          name.gsub("Senator the Hon ", "")
        elsif name.start_with?("The Hon. ")
          name.gsub("The Hon. ", "")
        elsif name.start_with?("The Hon ")
          name.gsub("The Hon ", "")
        elsif name.start_with?("Senator ")
          name.gsub("Senator ", "")
        elsif name.start_with?("Mrs ")
          name.gsub("Mrs ", "")
        elsif name.start_with?("Miss ")
          name.gsub("Miss ", "")
        elsif name.start_with?("Ms ")
          name.gsub("Ms ", "")
        elsif name.start_with?("Mr ")
          name.gsub("Mr ", "")
        elsif name.start_with?("Dr ")
          name.gsub("Dr ", "")
        else
          name
        end

        name = name.split(" ")
        name[0]

      else
        nil
      end
    end

    def guess_last(str)
      name = str
      if name
        name.gsub(" MLA", "").gsub(" MLC", "").gsub(" MP", "").gsub(" QC", "").gsub(" AO", "").gsub(" AOM", "").gsub(" OAM", "").gsub(" CSC", "").gsub(",","").strip.split(" ").last
      else
        nil
      end
    end
    def guess_preferred(str)
      name = str
      regex = /\((.+?)\)/
      match = name.match(regex)

      if match
        match[1]
      else
        nil
      end

    end

    def guess_gender(str)
      if str
        if str == "Mrs"
          "Female"
        elsif str == "Miss"
          "Female"
        elsif str == "Ms"
          "Female"
        elsif str == "Mr"
          "Male"
        else
          nil
        end
      else
        nil
      end
    end

    def guess_title(str)
      name = str
      if name
        name = if name.start_with?("Hon ")
          "Hon"
        elsif name.start_with?("The Hon")
          "The Hon"
        elsif name.start_with?("Senator the Hon ")
          "Senator the Hon"
        elsif name.start_with?("Senator ")
          "Senator"
        elsif name.start_with?("Mrs ")
          "Mrs"
        elsif name.start_with?("Miss ")
          "Miss"
        elsif name.start_with?("Ms ")
          "Ms"
        elsif name.start_with?("Mr ")
          "Mr"
        elsif name.start_with?("Dr ")
          "Dr"
        else
          ""
        end
        name
      else
        nil
      end
    end



  end # Guessable
end # MyRepresentatives
